Compatible with Web browsers
Multicollab Plugin supports all the standard browsers like Chrome, Firefox, EDGE and Safari. This plugin, developed and updated frequently by the Multidots team, will work flawlessly for all your users, using different browsers through different devices. Overall, the editorial commenting work will be a breeze with our plugin.
Last modified 5mo ago
Copy link